# QHttpHeader Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QHttpHeader()
- void QHttpHeader(String str)

### Constructor Properties

- prototype: The QHttpHeader prototype object

### Prototype Object Properties

- void addValue(String key, String value)
- List allValues(String key)
- uint contentLength()
- String contentType()
- bool hasContentLength()
- bool hasContentType()
- bool hasKey(String key)
- bool isValid()
- List keys()
- int majorVersion()
- int minorVersion()
- void removeAllValues(String key)
- void removeValue(String key)
- void setContentLength(int len)
- void setContentType(String type)
- void setValue(String key, String value)
- void setValues(List values)
- String toString()
- String value(String key)
- List values()

### Instance Properties

QHttpHeader objects have no special properties beyond those inherited from the QHttpHeader prototype object.